Bug 1126727 (CVE-2019-9027)

Summary: VUL-1: CVE-2019-9027: matio: heap-based buffer overflow problem in the function ReadNextCell() in mat5.c.
Product: [openSUSE] openSUSE Distribution Reporter: Marcus Meissner <meissner>
Component: OtherAssignee: Dmitry Roshchin <dmitry>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Minor    
Priority: P4 - Low CC: atoptsoglou, wolfgang.frisch
Version: Leap 15.1   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/225273/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Marcus Meissner 2019-02-25 07:18:30 UTC
CVE-2019-9027

An issue was discovered in libmatio.a in matio (aka MAT File I/O Library)
1.5.13. There is a heap-based buffer overflow problem in the function
ReadNextCell() in mat5.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-9027
https://github.com/tbeu/matio/issues/103
https://github.com/TeamSeri0us/pocs/tree/master/matio
Comment 1 Tomáš Chvátal 2019-07-11 11:40:01 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 2 Marcus Meissner 2019-07-11 13:27:14 UTC
15.0 and 15.1 still have affected versions.
Comment 3 Wolfgang Frisch 2020-01-16 15:16:00 UTC
Leap 15.1 still contains matio-1.5.12, which is affected by this issue.
Comment 4 Alexandros Toptsoglou 2021-01-28 16:57:22 UTC
Leap 15.1 is getting EOL. Leap 15.2 is not affected. Closing